All files except files in desktop/icons and desktop/buttons are
(c) 2004-2006 Niklas Lunger

-----
 stuff missing for _absolute_ perfection
*IconBox
	-should be able to grow to the right
	-should have iconsbg defined on iconbox basis to achieve on top
	 a similar effect as done with wharfs at the bottom ( +specified iconboxes
	 be filled homogenously )
*Wharf widtdrawing : wharf should also be able to widthdraw to place specified
                     with WharfGeometry

*Balloons should optionally be displayed relatively to the button it was
 called from, not under the mouse pointer, as it is now.
 why ? i for exampl would like to be able to display balloons in the white
 border part of the triangle side that is horizontal. which i can't.

 balloons that always apear in the exact same place just make a smoother
 user experience, plus 

for example:
     __
    /  \
   / /\ \
  / /  \ \
 /  ----  \
(  balloon )
 ----------


I got the idea for triangular icons from an article (or news entry) i read on the lainos webpage.
Blame me for the rest.

credit where credit is due...

to get things working, you'll need to make
a symlink to Wharf named OtherWharf and MyWharf

good news for those unfamiliar with afterstep, i've provided a script to automate things for you. (hopefully the working one)

theme is 1280x1024 if you use any other resolution edit
feels/feel.triangular and change WindowBox accordingly.